Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.common
Class ForgeHooks

    java.lang.Object
      net.minecraftforge.common.ForgeHooks

    public class ForgeHooks

extends Object

Constructor Summary
`ForgeHooks()`

Method Summary
`static float` | `blockStrength(Block block, EntityPlayer player, World world, int x, int y, int z)`
`static boolean` | `canHarvestBlock(Block block, EntityPlayer player, int metadata)`
`static boolean` | `canToolHarvestBlock(Block block, int metadata, ItemStack stack)`
`static ItemStack` | `getGrassSeed(World world)`
`static String` | `getTexture(String _default, Object obj)`
`static int` | `getTotalArmorValue(EntityPlayer player)`
`static boolean` | `isLivingOnLadder(Block block, World world, int x, int y, int z)`
`static boolean` | `isToolEffective(ItemStack stack, Block block, int metadata)`
`static boolean` | `onLivingAttack(EntityLiving entity, DamageSource src, int amount)`
`static boolean` | `onLivingDeath(EntityLiving entity, DamageSource src)`
`static boolean` | `onLivingDrops(EntityLiving entity, DamageSource source, ArrayList<EntityItem> drops, int lootingLevel, boolean recentlyHit, int specialDropValue)`
`static float` | `onLivingFall(EntityLiving entity, float distance)`
`static int` | `onLivingHurt(EntityLiving entity, DamageSource src, int amount)`
`static void` | `onLivingJump(EntityLiving entity)`
`static void` | `onLivingSetAttackTarget(EntityLiving entity, EntityLiving target)`
`static boolean` | `onLivingUpdate(EntityLiving entity)`
`static boolean` | `onPickBlock(MovingObjectPosition target, EntityPlayer player, World world)` Called when a player uses 'pick block', calls new Entity and Block hooks.
`static EntityItem` | `onPlayerTossEvent(EntityPlayer player, ItemStack item)`
`static void` | `plantGrass(World world, int x, int y, int z)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForgeHooks

    public ForgeHooks()

Method Detail

### plantGrass

    public static void plantGrass(World world,
                                  int x,
                                  int y,
                                  int z)

### getGrassSeed

    public static ItemStack getGrassSeed(World world)

### canHarvestBlock

    public static boolean canHarvestBlock(Block block,
                                          EntityPlayer player,
                                          int metadata)

### canToolHarvestBlock

    public static boolean canToolHarvestBlock(Block block,
                                              int metadata,
                                              ItemStack stack)

### blockStrength

    public static float blockStrength(Block block,
                                      EntityPlayer player,
                                      World world,
                                      int x,
                                      int y,
                                      int z)

### isToolEffective

    public static boolean isToolEffective(ItemStack stack,
                                          Block block,
                                          int metadata)

### getTexture

    public static String getTexture(String _default,
                                    Object obj)

### getTotalArmorValue

    public static int getTotalArmorValue(EntityPlayer player)

### onPickBlock

    public static boolean onPickBlock(MovingObjectPosition target,
                                      EntityPlayer player,
                                      World world)

  Called when a player uses 'pick block', calls new Entity and Block hooks.

### onLivingSetAttackTarget

    public static void onLivingSetAttackTarget(EntityLiving entity,
                                               EntityLiving target)

### onLivingUpdate

    public static boolean onLivingUpdate(EntityLiving entity)

### onLivingAttack

    public static boolean onLivingAttack(EntityLiving entity,
                                         DamageSource src,
                                         int amount)

### onLivingHurt

    public static int onLivingHurt(EntityLiving entity,
                                   DamageSource src,
                                   int amount)

### onLivingDeath

    public static boolean onLivingDeath(EntityLiving entity,
                                        DamageSource src)

### onLivingDrops

    public static boolean onLivingDrops(EntityLiving entity,
                                        DamageSource source,
                                        ArrayList<EntityItem> drops,
                                        int lootingLevel,
                                        boolean recentlyHit,
                                        int specialDropValue)

### onLivingFall

    public static float onLivingFall(EntityLiving entity,
                                     float distance)

### isLivingOnLadder

    public static boolean isLivingOnLadder(Block block,
                                           World world,
                                           int x,
                                           int y,
                                           int z)

### onLivingJump

    public static void onLivingJump(EntityLiving entity)

### onPlayerTossEvent

    public static EntityItem onPlayerTossEvent(EntityPlayer player,
                                               ItemStack item)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD